Bug 21394 - [PATCH] MAKEDEV creates rocketport specials in /dev (instead of cwd)
Summary: [PATCH] MAKEDEV creates rocketport specials in /dev (instead of cwd)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: dd
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-09-19 09:40 UTC by leres
Modified: 2001-07-23 11:11 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.32 KB, patch)
2000-09-19 09:40 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2000-09-19 09:40:01 UTC
The rocketport devices (ttyR and cuaR) are the only MAKEDEV targets
that don't create the specials in the current working directory.

(Also, it's kind of lame to read the number of rocketport ports
from dmesg. If the system has been up very long, the autoconf
messages are long gone; using /var/run/dmesg.boot would be slightly
better. But it would probably be best to just create N specials,
thus allowing one to configure a filesystem in advance.)

Fix: Appended is a context diff to etc/MAKEDEV. It remove the /dev
prefixes. (My patch does not address the dmesg issue.)

===================================================================
RCS file: RCS/MAKEDEV,v
retrieving revision 1.1
How-To-Repeat: 
    # cd /mnt/dev
    # ./MAKEDEV ttyR0 cuaR0

Then notice that the new specials end up in /dev, not /mnt/dev.
(Or especially how the specials that were in /dev now have default
permissions!)
Comment 1 dd freebsd_committer 2001-06-28 08:07:22 UTC
State Changed
From-To: open->analyzed

Committed, thanks! 


Comment 2 dd freebsd_committer 2001-06-28 08:07:22 UTC
Responsible Changed
From-To: freebsd-bugs->dd

my MFC reminder.
Comment 3 dd freebsd_committer 2001-07-23 11:11:37 UTC
State Changed
From-To: analyzed->closed

MFC'd, thanks